Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516986 - Numix-Circle(-Light) lacks inheritance from hicolor-icon-theme
Summary: Numix-Circle(-Light) lacks inheritance from hicolor-icon-theme
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: numix-icon-theme-circle
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sascha Spreitzer (Red Hat)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:69fa319b9ec11631c3a038e437c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 19:11 UTC by Wellisson
Modified: 2018-11-30 23:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:13:13 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details
File: cgroup (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details
File: cpuinfo (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details
File: environ (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details
File: mountinfo (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details
File: namespaces (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details
File: open_fds (deleted)
2017-11-23 19:11 UTC, Wellisson
no flags Details

Description Wellisson 2017-11-23 19:11:14 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: open
exception_type: OSError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.12-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Image.py:2572:open:OSError: cannot identify image file '/usr/share/icons/Numix-Circle-Light/48/apps/dnfdragora.svg'

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 25, in <module>
    dnfdragora.updater.Updater().main()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 61, in __init__
    self.__icon  = Image.open(icon_path)
  File "/usr/lib64/python3.6/site-packages/PIL/Image.py", line 2572, in open
    % (filename if filename else fp))
OSError: cannot identify image file '/usr/share/icons/Numix-Circle-Light/48/apps/dnfdragora.svg'

Local variables in innermost frame:
im: None
_open_core: <function open.<locals>._open_core at 0x7f81d9ebfae8>
prefix: b'<svg xmlns="http'
filename: '/usr/share/icons/Numix-Circle-Light/48/apps/dnfdragora.svg'
exclusive_fp: True
mode: 'r'
fp: <_io.BufferedReader name='/usr/share/icons/Numix-Circle-Light/48/apps/dnfdragora.svg'>

Comment 1 Wellisson 2017-11-23 19:11:20 UTC
Created attachment 1358390 [details]
File: backtrace

Comment 2 Wellisson 2017-11-23 19:11:21 UTC
Created attachment 1358391 [details]
File: cgroup

Comment 3 Wellisson 2017-11-23 19:11:23 UTC
Created attachment 1358392 [details]
File: cpuinfo

Comment 4 Wellisson 2017-11-23 19:11:25 UTC
Created attachment 1358393 [details]
File: environ

Comment 5 Wellisson 2017-11-23 19:11:28 UTC
Created attachment 1358394 [details]
File: mountinfo

Comment 6 Wellisson 2017-11-23 19:11:29 UTC
Created attachment 1358395 [details]
File: namespaces

Comment 7 Wellisson 2017-11-23 19:11:31 UTC
Created attachment 1358396 [details]
File: open_fds

Comment 8 Björn 'besser82' Esser 2017-11-24 03:39:37 UTC
All index.theme failes from Numix are wrong except for `/usr/share/icons/Numix/index.theme`.  They all need to inherit from gnome and hicolor individually…

Comment 9 Ben Cotton 2018-11-27 14:04:14 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 23:13:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.